#ifndef __vtkViracochaSource_h
#define __vtkViracochaSource_h

#include <ostream>
#include <vtkInformation.h>
#include <vtkInformationVector.h>
#include <vtkPolyData.h>
#include <vtkStreamingDemandDrivenPipeline.h>
#include <vtkSphereSource.h>
#include <vtkPolyDataAlgorithm.h>

class vtkTestSource : public vtkPolyDataAlgorithm
{
public:
    static vtkTestSource* New();

    vtkTypeMacro(vtkTestSource, vtkPolyDataAlgorithm);
    void PrintSelf(ostream& os, vtkIndent indent);

    const static int steps = 10;

protected:

    vtkTestSource();
    ~vtkTestSource();

    int RequestInformation(vtkInformation *reqInfo, vtkInformationVector **inVector, vtkInformationVector *outVector);
    int RequestData (vtkInformation *reqInfo, vtkInformationVector **inVector, vtkInformationVector *outVector);

    void setPolyData(double time, vtkPolyData *data);

private:
	double *stepValues;

    vtkTestSource(const vtkTestSource&);  // Not implemented.
    void operator=(const vtkTestSource&);  // Not implemented.
};

#endif
